/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 31921
 |                DRUG ABUSE WARNING NETWORK (DAWN), 2009
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/


* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (AGECAT <= -1) THEN AGECAT = .;
   IF (SEX <= -1) THEN SEX = .;
   IF (RACE <= -1) THEN RACE = .;
   IF (DRUGID_1 <= -1) THEN DRUGID_1 = .;
   IF (CATID_1_1 <= -1) THEN CATID_1_1 = .;
   IF (CATID_2_1 <= -1) THEN CATID_2_1 = .;
   IF (CATID_3_1 <= -1) THEN CATID_3_1 = .;
   IF (ROUTE_1 <= -1) THEN ROUTE_1 = .;
   IF (TOXTEST_1 <= -1) THEN TOXTEST_1 = .;
   IF (SDLED_1_1 <= -1) THEN SDLED_1_1 = .;
   IF (SDLED_2_1 <= -1.00) THEN SDLED_2_1 = .;
   IF (SDLED_3_1 <= -1.00) THEN SDLED_3_1 = .;
   IF (SDLED_4_1 <= -1.0000) THEN SDLED_4_1 = .;
   IF (SDLED_5_1 <= -1.0000) THEN SDLED_5_1 = .;
   IF (SDLED_6_1 <= -1.0000) THEN SDLED_6_1 = .;
   IF (DRUGID_2 <= -1) THEN DRUGID_2 = .;
   IF (CATID_1_2 <= -1) THEN CATID_1_2 = .;
   IF (CATID_2_2 <= -1) THEN CATID_2_2 = .;
   IF (CATID_3_2 <= -1) THEN CATID_3_2 = .;
   IF (ROUTE_2 <= -1) THEN ROUTE_2 = .;
   IF (TOXTEST_2 <= -1) THEN TOXTEST_2 = .;
   IF (SDLED_1_2 <= -1) THEN SDLED_1_2 = .;
   IF (SDLED_2_2 <= -1.00) THEN SDLED_2_2 = .;
   IF (SDLED_3_2 <= -1.00) THEN SDLED_3_2 = .;
   IF (SDLED_4_2 <= -1.0000) THEN SDLED_4_2 = .;
   IF (SDLED_5_2 <= -1.0000) THEN SDLED_5_2 = .;
   IF (SDLED_6_2 <= -1.0000) THEN SDLED_6_2 = .;
   IF (DRUGID_3 <= -1) THEN DRUGID_3 = .;
   IF (CATID_1_3 <= -1) THEN CATID_1_3 = .;
   IF (CATID_2_3 <= -1) THEN CATID_2_3 = .;
   IF (CATID_3_3 <= -1) THEN CATID_3_3 = .;
   IF (ROUTE_3 <= -1) THEN ROUTE_3 = .;
   IF (TOXTEST_3 <= -1) THEN TOXTEST_3 = .;
   IF (SDLED_1_3 <= -1) THEN SDLED_1_3 = .;
   IF (SDLED_2_3 <= -1.00) THEN SDLED_2_3 = .;
   IF (SDLED_3_3 <= -1.00) THEN SDLED_3_3 = .;
   IF (SDLED_4_3 <= -1.0000) THEN SDLED_4_3 = .;
   IF (SDLED_5_3 <= -1.0000) THEN SDLED_5_3 = .;
   IF (SDLED_6_3 <= -1.0000) THEN SDLED_6_3 = .;
   IF (DRUGID_4 <= -1) THEN DRUGID_4 = .;
   IF (CATID_1_4 <= -1) THEN CATID_1_4 = .;
   IF (CATID_2_4 <= -1) THEN CATID_2_4 = .;
   IF (CATID_3_4 <= -1) THEN CATID_3_4 = .;
   IF (ROUTE_4 <= -1) THEN ROUTE_4 = .;
   IF (TOXTEST_4 <= -1) THEN TOXTEST_4 = .;
   IF (SDLED_1_4 <= -1) THEN SDLED_1_4 = .;
   IF (SDLED_2_4 <= -1.00) THEN SDLED_2_4 = .;
   IF (SDLED_3_4 <= -1.00) THEN SDLED_3_4 = .;
   IF (SDLED_4_4 <= -1.0000) THEN SDLED_4_4 = .;
   IF (SDLED_5_4 <= -1.0000) THEN SDLED_5_4 = .;
   IF (SDLED_6_4 <= -1.0000) THEN SDLED_6_4 = .;
   IF (DRUGID_5 <= -1) THEN DRUGID_5 = .;
   IF (CATID_1_5 <= -1) THEN CATID_1_5 = .;
   IF (CATID_2_5 <= -1) THEN CATID_2_5 = .;
   IF (CATID_3_5 <= -1) THEN CATID_3_5 = .;
   IF (ROUTE_5 <= -1) THEN ROUTE_5 = .;
   IF (TOXTEST_5 <= -1) THEN TOXTEST_5 = .;
   IF (SDLED_1_5 <= -1) THEN SDLED_1_5 = .;
   IF (SDLED_2_5 <= -1.00) THEN SDLED_2_5 = .;
   IF (SDLED_3_5 <= -1.00) THEN SDLED_3_5 = .;
   IF (SDLED_4_5 <= -1.0000) THEN SDLED_4_5 = .;
   IF (SDLED_5_5 <= -1.0000) THEN SDLED_5_5 = .;
   IF (SDLED_6_5 <= -1.0000) THEN SDLED_6_5 = .;
   IF (DRUGID_6 <= -1) THEN DRUGID_6 = .;
   IF (CATID_1_6 <= -1) THEN CATID_1_6 = .;
   IF (CATID_2_6 <= -1) THEN CATID_2_6 = .;
   IF (CATID_3_6 <= -1) THEN CATID_3_6 = .;
   IF (ROUTE_6 <= -1) THEN ROUTE_6 = .;
   IF (TOXTEST_6 <= -1) THEN TOXTEST_6 = .;
   IF (SDLED_1_6 <= -1) THEN SDLED_1_6 = .;
   IF (SDLED_2_6 <= -1.00) THEN SDLED_2_6 = .;
   IF (SDLED_3_6 <= -1.00) THEN SDLED_3_6 = .;
   IF (SDLED_4_6 <= -1.0000) THEN SDLED_4_6 = .;
   IF (SDLED_5_6 <= -1.0000) THEN SDLED_5_6 = .;
   IF (SDLED_6_6 <= -1.0000) THEN SDLED_6_6 = .;
   IF (DRUGID_7 <= -1) THEN DRUGID_7 = .;
   IF (CATID_1_7 <= -1) THEN CATID_1_7 = .;
   IF (CATID_2_7 <= -1) THEN CATID_2_7 = .;
   IF (CATID_3_7 <= -1) THEN CATID_3_7 = .;
   IF (ROUTE_7 <= -1) THEN ROUTE_7 = .;
   IF (TOXTEST_7 <= -1) THEN TOXTEST_7 = .;
   IF (SDLED_1_7 <= -1) THEN SDLED_1_7 = .;
   IF (SDLED_2_7 <= -1.00) THEN SDLED_2_7 = .;
   IF (SDLED_3_7 <= -1.00) THEN SDLED_3_7 = .;
   IF (SDLED_4_7 <= -1.0000) THEN SDLED_4_7 = .;
   IF (SDLED_5_7 <= -1.0000) THEN SDLED_5_7 = .;
   IF (SDLED_6_7 <= -1.0000) THEN SDLED_6_7 = .;
   IF (DRUGID_8 <= -1) THEN DRUGID_8 = .;
   IF (CATID_1_8 <= -1) THEN CATID_1_8 = .;
   IF (CATID_2_8 <= -1) THEN CATID_2_8 = .;
   IF (CATID_3_8 <= -1) THEN CATID_3_8 = .;
   IF (ROUTE_8 <= -1) THEN ROUTE_8 = .;
   IF (TOXTEST_8 <= -1) THEN TOXTEST_8 = .;
   IF (SDLED_1_8 <= -1) THEN SDLED_1_8 = .;
   IF (SDLED_2_8 <= -1.00) THEN SDLED_2_8 = .;
   IF (SDLED_3_8 <= -1.00) THEN SDLED_3_8 = .;
   IF (SDLED_4_8 <= -1.0000) THEN SDLED_4_8 = .;
   IF (SDLED_5_8 <= -1.0000) THEN SDLED_5_8 = .;
   IF (SDLED_6_8 <= -1.0000) THEN SDLED_6_8 = .;
   IF (DRUGID_9 <= -1) THEN DRUGID_9 = .;
   IF (CATID_1_9 <= -1) THEN CATID_1_9 = .;
   IF (CATID_2_9 <= -1) THEN CATID_2_9 = .;
   IF (CATID_3_9 <= -1) THEN CATID_3_9 = .;
   IF (ROUTE_9 <= -1) THEN ROUTE_9 = .;
   IF (TOXTEST_9 <= -1) THEN TOXTEST_9 = .;
   IF (SDLED_1_9 <= -1) THEN SDLED_1_9 = .;
   IF (SDLED_2_9 <= -1.00) THEN SDLED_2_9 = .;
   IF (SDLED_3_9 <= -1.00) THEN SDLED_3_9 = .;
   IF (SDLED_4_9 <= -1.0000) THEN SDLED_4_9 = .;
   IF (SDLED_5_9 <= -1.0000) THEN SDLED_5_9 = .;
   IF (SDLED_6_9 <= -1.0000) THEN SDLED_6_9 = .;
   IF (DRUGID_10 <= -1) THEN DRUGID_10 = .;
   IF (CATID_1_10 <= -1) THEN CATID_1_10 = .;
   IF (CATID_2_10 <= -1) THEN CATID_2_10 = .;
   IF (CATID_3_10 <= -1) THEN CATID_3_10 = .;
   IF (ROUTE_10 <= -1) THEN ROUTE_10 = .;
   IF (TOXTEST_10 <= -1) THEN TOXTEST_10 = .;
   IF (SDLED_1_10 <= -1) THEN SDLED_1_10 = .;
   IF (SDLED_2_10 <= -1.00) THEN SDLED_2_10 = .;
   IF (SDLED_3_10 <= -1.00) THEN SDLED_3_10 = .;
   IF (SDLED_4_10 <= -1.0000) THEN SDLED_4_10 = .;
   IF (SDLED_5_10 <= -1.0000) THEN SDLED_5_10 = .;
   IF (SDLED_6_10 <= -1.0000) THEN SDLED_6_10 = .;
   IF (DRUGID_11 <= -1) THEN DRUGID_11 = .;
   IF (CATID_1_11 <= -1) THEN CATID_1_11 = .;
   IF (CATID_2_11 <= -1) THEN CATID_2_11 = .;
   IF (CATID_3_11 <= -1) THEN CATID_3_11 = .;
   IF (ROUTE_11 <= -1) THEN ROUTE_11 = .;
   IF (TOXTEST_11 <= -1) THEN TOXTEST_11 = .;
   IF (SDLED_1_11 <= -1) THEN SDLED_1_11 = .;
   IF (SDLED_2_11 <= -1.00) THEN SDLED_2_11 = .;
   IF (SDLED_3_11 <= -1.00) THEN SDLED_3_11 = .;
   IF (SDLED_4_11 <= -1.0000) THEN SDLED_4_11 = .;
   IF (SDLED_5_11 <= -1.0000) THEN SDLED_5_11 = .;
   IF (SDLED_6_11 <= -1.0000) THEN SDLED_6_11 = .;
   IF (DRUGID_12 <= -1) THEN DRUGID_12 = .;
   IF (CATID_1_12 <= -1) THEN CATID_1_12 = .;
   IF (CATID_2_12 <= -1) THEN CATID_2_12 = .;
   IF (CATID_3_12 <= -1) THEN CATID_3_12 = .;
   IF (ROUTE_12 <= -1) THEN ROUTE_12 = .;
   IF (TOXTEST_12 <= -1) THEN TOXTEST_12 = .;
   IF (SDLED_1_12 <= -1) THEN SDLED_1_12 = .;
   IF (SDLED_2_12 <= -1.00) THEN SDLED_2_12 = .;
   IF (SDLED_3_12 <= -1.00) THEN SDLED_3_12 = .;
   IF (SDLED_4_12 <= -1.0000) THEN SDLED_4_12 = .;
   IF (SDLED_5_12 <= -1.0000) THEN SDLED_5_12 = .;
   IF (SDLED_6_12 <= -1.0000) THEN SDLED_6_12 = .;
   IF (DRUGID_13 <= -1) THEN DRUGID_13 = .;
   IF (CATID_1_13 <= -1) THEN CATID_1_13 = .;
   IF (CATID_2_13 <= -1) THEN CATID_2_13 = .;
   IF (CATID_3_13 <= -1) THEN CATID_3_13 = .;
   IF (ROUTE_13 <= -1) THEN ROUTE_13 = .;
   IF (TOXTEST_13 <= -1) THEN TOXTEST_13 = .;
   IF (SDLED_1_13 <= -1) THEN SDLED_1_13 = .;
   IF (SDLED_2_13 <= -1.00) THEN SDLED_2_13 = .;
   IF (SDLED_3_13 <= -1.00) THEN SDLED_3_13 = .;
   IF (SDLED_4_13 <= -1.0000) THEN SDLED_4_13 = .;
   IF (SDLED_5_13 <= -1.0000) THEN SDLED_5_13 = .;
   IF (SDLED_6_13 <= -1.0000) THEN SDLED_6_13 = .;
   IF (DRUGID_14 <= -1) THEN DRUGID_14 = .;
   IF (CATID_1_14 <= -1) THEN CATID_1_14 = .;
   IF (CATID_2_14 <= -1) THEN CATID_2_14 = .;
   IF (CATID_3_14 <= -1) THEN CATID_3_14 = .;
   IF (ROUTE_14 <= -1) THEN ROUTE_14 = .;
   IF (TOXTEST_14 <= -1) THEN TOXTEST_14 = .;
   IF (SDLED_1_14 <= -1) THEN SDLED_1_14 = .;
   IF (SDLED_2_14 <= -1.00) THEN SDLED_2_14 = .;
   IF (SDLED_3_14 <= -1.00) THEN SDLED_3_14 = .;
   IF (SDLED_4_14 <= -1.0000) THEN SDLED_4_14 = .;
   IF (SDLED_5_14 <= -1.0000) THEN SDLED_5_14 = .;
   IF (SDLED_6_14 <= -1.0000) THEN SDLED_6_14 = .;
   IF (DRUGID_15 <= -1) THEN DRUGID_15 = .;
   IF (CATID_1_15 <= -1) THEN CATID_1_15 = .;
   IF (CATID_2_15 <= -1) THEN CATID_2_15 = .;
   IF (CATID_3_15 <= -1) THEN CATID_3_15 = .;
   IF (ROUTE_15 <= -1) THEN ROUTE_15 = .;
   IF (TOXTEST_15 <= -1) THEN TOXTEST_15 = .;
   IF (SDLED_1_15 <= -1) THEN SDLED_1_15 = .;
   IF (SDLED_2_15 <= -1.00) THEN SDLED_2_15 = .;
   IF (SDLED_3_15 <= -1.00) THEN SDLED_3_15 = .;
   IF (SDLED_4_15 <= -1.0000) THEN SDLED_4_15 = .;
   IF (SDLED_5_15 <= -1.0000) THEN SDLED_5_15 = .;
   IF (SDLED_6_15 <= -1.0000) THEN SDLED_6_15 = .;
   IF (DRUGID_16 <= -1) THEN DRUGID_16 = .;
   IF (CATID_1_16 <= -1) THEN CATID_1_16 = .;
   IF (CATID_2_16 <= -1) THEN CATID_2_16 = .;
   IF (CATID_3_16 <= -1) THEN CATID_3_16 = .;
   IF (ROUTE_16 <= -1) THEN ROUTE_16 = .;
   IF (TOXTEST_16 <= -1) THEN TOXTEST_16 = .;
   IF (SDLED_1_16 <= -1) THEN SDLED_1_16 = .;
   IF (SDLED_2_16 <= -1.00) THEN SDLED_2_16 = .;
   IF (SDLED_3_16 <= -1.00) THEN SDLED_3_16 = .;
   IF (SDLED_4_16 <= -1.0000) THEN SDLED_4_16 = .;
   IF (SDLED_5_16 <= -1.0000) THEN SDLED_5_16 = .;
   IF (SDLED_6_16 <= -1.0000) THEN SDLED_6_16 = .;
   IF (DRUGID_17 <= -1) THEN DRUGID_17 = .;
   IF (CATID_1_17 <= -1) THEN CATID_1_17 = .;
   IF (CATID_2_17 <= -1) THEN CATID_2_17 = .;
   IF (CATID_3_17 <= -1) THEN CATID_3_17 = .;
   IF (ROUTE_17 <= -1) THEN ROUTE_17 = .;
   IF (TOXTEST_17 <= -1) THEN TOXTEST_17 = .;
   IF (SDLED_1_17 <= -1) THEN SDLED_1_17 = .;
   IF (SDLED_2_17 <= -1.00) THEN SDLED_2_17 = .;
   IF (SDLED_3_17 <= -1.00) THEN SDLED_3_17 = .;
   IF (SDLED_4_17 <= -1.0000) THEN SDLED_4_17 = .;
   IF (SDLED_5_17 <= -1.0000) THEN SDLED_5_17 = .;
   IF (SDLED_6_17 <= -1.0000) THEN SDLED_6_17 = .;
   IF (DRUGID_18 <= -1) THEN DRUGID_18 = .;
   IF (CATID_1_18 <= -1) THEN CATID_1_18 = .;
   IF (CATID_2_18 <= -1) THEN CATID_2_18 = .;
   IF (CATID_3_18 <= -1) THEN CATID_3_18 = .;
   IF (ROUTE_18 <= -1) THEN ROUTE_18 = .;
   IF (TOXTEST_18 <= -1) THEN TOXTEST_18 = .;
   IF (SDLED_1_18 <= -1) THEN SDLED_1_18 = .;
   IF (SDLED_2_18 <= -1.00) THEN SDLED_2_18 = .;
   IF (SDLED_3_18 <= -1.00) THEN SDLED_3_18 = .;
   IF (SDLED_4_18 <= -1.0000) THEN SDLED_4_18 = .;
   IF (SDLED_5_18 <= -1.0000) THEN SDLED_5_18 = .;
   IF (SDLED_6_18 <= -1.0000) THEN SDLED_6_18 = .;
   IF (DRUGID_19 <= -1) THEN DRUGID_19 = .;
   IF (CATID_1_19 <= -1) THEN CATID_1_19 = .;
   IF (CATID_2_19 <= -1) THEN CATID_2_19 = .;
   IF (CATID_3_19 <= -1) THEN CATID_3_19 = .;
   IF (ROUTE_19 <= -1) THEN ROUTE_19 = .;
   IF (TOXTEST_19 <= -1) THEN TOXTEST_19 = .;
   IF (SDLED_1_19 <= -1) THEN SDLED_1_19 = .;
   IF (SDLED_2_19 <= -1.00) THEN SDLED_2_19 = .;
   IF (SDLED_3_19 <= -1.00) THEN SDLED_3_19 = .;
   IF (SDLED_4_19 <= -1.0000) THEN SDLED_4_19 = .;
   IF (SDLED_5_19 <= -1.0000) THEN SDLED_5_19 = .;
   IF (SDLED_6_19 <= -1.0000) THEN SDLED_6_19 = .;
   IF (DRUGID_20 <= -1) THEN DRUGID_20 = .;
   IF (CATID_1_20 <= -1) THEN CATID_1_20 = .;
   IF (CATID_2_20 <= -1) THEN CATID_2_20 = .;
   IF (CATID_3_20 <= -1) THEN CATID_3_20 = .;
   IF (ROUTE_20 <= -1) THEN ROUTE_20 = .;
   IF (TOXTEST_20 <= -1) THEN TOXTEST_20 = .;
   IF (SDLED_1_20 <= -1) THEN SDLED_1_20 = .;
   IF (SDLED_2_20 <= -1.00) THEN SDLED_2_20 = .;
   IF (SDLED_3_20 <= -1.00) THEN SDLED_3_20 = .;
   IF (SDLED_4_20 <= -1.0000) THEN SDLED_4_20 = .;
   IF (SDLED_5_20 <= -1.0000) THEN SDLED_5_20 = .;
   IF (SDLED_6_20 <= -1.0000) THEN SDLED_6_20 = .;
   IF (DRUGID_21 <= -1) THEN DRUGID_21 = .;
   IF (CATID_1_21 <= -1) THEN CATID_1_21 = .;
   IF (CATID_2_21 <= -1) THEN CATID_2_21 = .;
   IF (CATID_3_21 <= -1) THEN CATID_3_21 = .;
   IF (ROUTE_21 <= -1) THEN ROUTE_21 = .;
   IF (TOXTEST_21 <= -1) THEN TOXTEST_21 = .;
   IF (SDLED_1_21 <= -1) THEN SDLED_1_21 = .;
   IF (SDLED_2_21 <= -1.00) THEN SDLED_2_21 = .;
   IF (SDLED_3_21 <= -1.00) THEN SDLED_3_21 = .;
   IF (SDLED_4_21 <= -1.0000) THEN SDLED_4_21 = .;
   IF (SDLED_5_21 <= -1.0000) THEN SDLED_5_21 = .;
   IF (SDLED_6_21 <= -1.0000) THEN SDLED_6_21 = .;
   IF (DRUGID_22 <= -1) THEN DRUGID_22 = .;
   IF (CATID_1_22 <= -1) THEN CATID_1_22 = .;
   IF (CATID_2_22 <= -1) THEN CATID_2_22 = .;
   IF (CATID_3_22 <= -1) THEN CATID_3_22 = .;
   IF (ROUTE_22 <= -1) THEN ROUTE_22 = .;
   IF (TOXTEST_22 <= -1) THEN TOXTEST_22 = .;
   IF (SDLED_1_22 <= -1) THEN SDLED_1_22 = .;
   IF (SDLED_2_22 <= -1.00) THEN SDLED_2_22 = .;
   IF (SDLED_3_22 <= -1.00) THEN SDLED_3_22 = .;
   IF (SDLED_4_22 <= -1.0000) THEN SDLED_4_22 = .;
   IF (SDLED_5_22 <= -1.0000) THEN SDLED_5_22 = .;
   IF (SDLED_6_22 <= -1.0000) THEN SDLED_6_22 = .;
   IF (DISPOSITION <= -1) THEN DISPOSITION = .;
*/

RUN ;
